REPO(1)

NAME
repo - repo wipe - manual page for repo wipe

SYNOPSIS
repo wipe <project>...

DESCRIPTION
Summary

Wipe projects from the worktree

OPTIONS

-h, --help
    show this help message and exit

-f, --force
    force wipe shared projects and uncommitted changes

--force-uncommitted
    force wipe even if there are uncommitted changes

--force-shared
    force wipe even if the project shares an object directory

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

  Multi-manifest options:

--outer-manifest
    operate starting at the outermost manifest

--no-outer-manifest
    do not operate on outer manifests

--this-manifest-only
    only operate on this (sub)manifest

--no-this-manifest-only, --all-manifests
    operate on this manifest and its submanifests

Run `repo help wipe` to view the detailed manual.

DETAILS

The 'repo wipe' command removes the specified projects from the worktree (the checked out source code) and deletes the project's git data from `.repo`.

This is a destructive operation and cannot be undone.

Projects can be specified either by name, or by a relative or absolute path to the project's local directory.

EXAMPLES

  # Wipe the project platform/build by name:
$ repo wipe platform/build

  # Wipe the project at the path build/make :
$ repo wipe build/make